/*****************************************************************************
* Users                                                              *
* Fetch requests for /users routes                                   *
*****************************************************************************/
Requests.users = {};

Requests.users.entity = {};

Requests.users.entity.delete = (userId) => {
  let input = `/users/${userId}`;
  let init = {
    method: 'DELETE'
  };
  return Requests.JSONfetch(input, init);
}

Requests.users.entity.deleteAvatar = (userId) => {
  let input = `/users/${userId}/avatar`;
  let init = {
    method: 'DELETE'
  };
  return Requests.JSONfetch(input, init);
}
